Indicadores de tickets
curl --request GET \
--url https://api.jurichat.com/tickets/indicators \
--header 'x-jurichat-api-key: <api-key>'import requests
url = "https://api.jurichat.com/tickets/indicators"
headers = {"x-jurichat-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-jurichat-api-key': '<api-key>'}};
fetch('https://api.jurichat.com/tickets/indicators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"period": {
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z"
},
"kpis": {
"total": 1,
"open": 1,
"closed": 1,
"createdInPeriod": 1,
"closedInPeriod": 1,
"unassigned": 1,
"withConversation": 1,
"publicCount": 1,
"avgCompletionHours": 1,
"avgPoints": 1,
"totalPoints": 1
},
"byStatus": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"isClosed": true,
"count": 1
}
],
"byPriority": [
{
"priority": "LOW",
"count": 1
}
],
"byAssignee": [
{
"userId": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"count": 1,
"closedCount": 1,
"avgCompletionHours": 1,
"points": 1
}
],
"byDepartment": [
{
"departmentId": "<string>",
"name": "<string>",
"count": 1,
"closedCount": 1,
"avgCompletionHours": 1
}
],
"series": {
"created": [
{
"date": "<string>",
"count": 1
}
],
"closed": [
{
"date": "<string>",
"count": 1
}
]
}
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Tickets
Indicadores de tickets
Retorna indicadores e séries temporais de tickets no período.
GET
/
tickets
/
indicators
Indicadores de tickets
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Query Parameters
Início do período (filtra por createdAt). Default: 30 dias atrás.
Fim do período (filtra por createdAt). Default: hoje.
Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes